#
# Esta configuración define las acciones iniciales del agente
# En este caso, copiamos todo el repositorio desde el servidor hasta cada cliente
# (Este archivo nunca se cambia y garantiza que siempre tendremos un agente funcionando
# y copiando el último repositorio)
#
control:

    any::
        domain = ( track4.ula.ve )
        actionsequence = ( copy tidy processes )

        # Which host/dir is master for configuration roll-outs
        policyhost = ( server.track4.ula.ve )
        cfmaster   = ( /var/lib/cfengine2/master/cfengine )
        cfworkdir  = ( /var/lib/cfengine2 )

        SplayTime = ( 1 )
        AddInstallable = ( new_cfenvd new_cfservd new_cfexecd failed1 broken )

copy:

    any::

        $(cfmaster) dest=$(cfworkdir)
            r=inf mode=o-rw type=checksum server=$(policyhost) trustkey=true
            exclude=*~ exclude=#* ignore=.svn typecheck=false forceipv4=true

tidy:

    $(cfworkdir)/outputs pattern=* age=14

processes:

    # Make sure that cfservd is always running.  It tends to die often on RedHat systems
    # Notice that the restart won't happen unless the process is dead
    any::
        "cfservd"  restart "/usr/sbin/cfservd"